Bug 287642 - The filter bar in dolphin does not works
Summary: The filter bar in dolphin does not works
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: panels: search (show other bugs)
Version: 1.99
Platform: Chakra Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-26 22:30 UTC by Manuel Tortosa
Modified: 2011-12-11 11:41 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Tortosa 2011-11-26 22:30:52 UTC
Version:           1.99 (using Devel) 
OS:                Linux

In dolphin, using the 4.7.80 tarball or a git snapshot from today, the filter bar does not works anymore, it just does nothing.

Reproducible: Always

Steps to Reproduce:
Open dolphin, open the filter bar, write something

Actual Results:  
The filter does not works

Expected Results:  
Proper filtering

OS: Linux (x86_64) release 3.1-CHAKRA
Compiler: gcc
Comment 1 Fri13 2011-11-28 22:44:45 UTC
I can confirm this bug.
Comment 2 bill p. (aka google01103) 2011-11-29 13:41:17 UTC
I too can confirm this
Comment 3 Peter Penz 2011-11-29 23:25:19 UTC
Git commit 51e1c7097a04be6d8f28e439b4c1e8e0041af167 by Peter Penz.
Committed on 30/11/2011 at 00:18.
Pushed by ppenz into branch 'master'.

Reimplement name-filtering

The filtering of items has not been implemented yet in
the KFileItemModel of the new view-engine. The patch brings back
this functionality again, but some minor issues are open:
- When filtering trees expanded directories should only get
  hidden if no child is visible
- Regular expressions are not supported yet (they have not been
  supported in Dolphin 1.x but it is now quite simple to implement).
- When filtering previews and removing the filter it might be
  possible that the preview is not shown (is most probably an
  an already existing bug in KFileItemModelRolesUpdater).

BUG: 287642
FIXED-IN: 4.8.0

M  +59   -0    dolphin/src/kitemviews/kfileitemmodel.cpp
M  +11   -0    dolphin/src/kitemviews/kfileitemmodel.h
M  +30   -0    dolphin/src/tests/kfileitemmodeltest.cpp
M  +2    -3    dolphin/src/views/dolphinview.cpp

http://commits.kde.org/kde-baseapps/51e1c7097a04be6d8f28e439b4c1e8e0041af167
Comment 4 Manuel Tortosa 2011-12-03 19:01:02 UTC
Application: dolphin (1.99)
KDE Platform Version: 4.7.90 (4.8 Beta2 (4.7.90) (Compiled from sources)
Qt Version: 4.7.4
Operating System: Linux 3.1-CHAKRA x86_64
Distribution: "Chakra Linux"

-- Information about the crash:
<Expliqueu detalladament què estàveu fent quan l'aplicació ha fallat.>

-- Backtrace:
Application: Dolphin (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fcc848c1760 (LWP 2585))]

Thread 2 (Thread 0x7fcc69b98700 (LWP 2586)):
#0  0x00007fcc81f5d123 in poll () from /lib/libc.so.6
#1  0x00007fcc7efa3c14 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fcc7efa414d in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fcc83527f7e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007fcc834fc4f2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007fcc834fc6f7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007fcc8341402f in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007fcc834df52f in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007fcc83416a85 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007fcc8318cdf0 in start_thread () from /lib/libpthread.so.0
#10 0x00007fcc81f6539d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fcc848c1760 (LWP 2585)):
[KCrash Handler]
#6  0x00007fcc834b7cd0 in QUrl::QUrl(QUrl const&) () from /usr/lib/libQtCore.so.4
#7  0x00007fcc83969509 in KUrl::KUrl (this=0x7fff873aa410, _u=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kdecore/io/kurl.cpp:490
#8  0x00007fcc7c8e1f30 in KFileItem::url (this=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kio/kio/kfileitem.cpp:1368
#9  0x00007fcc6ed0b82e in qHash (item=...) at /usr/include/KDE/../kfileitem.h:654
#10 QHash<KFileItem, QHashDummyValue>::findNode (this=0x26de648, akey=..., ahp=0x0) at /usr/include/QtCore/qhash.h:880
#11 0x00007fcc6ed0b9df in QHash<KFileItem, QHashDummyValue>::remove (this=0x26de648, akey=<optimized out>) at /usr/include/QtCore/qhash.h:789
#12 0x00007fcc6ed09af3 in remove (value=..., this=0x26de648) at /usr/include/QtCore/qset.h:84
#13 KFileItemModelRolesUpdater::resolvePendingRoles (this=0x26de600) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/kitemviews/kfileitemmodelrolesupdater.cpp:431
#14 0x00007fcc6ed0a35c in KFileItemModelRolesUpdater::qt_metacall (this=0x26de600, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff873aa660) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/kfileitemmodelrolesupdater.moc:93
#15 0x00007fcc8350ff0a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#16 0x00007fcc835137d9 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#17 0x00007fcc826dcd94 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#18 0x00007fcc826e1c01 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#19 0x00007fcc842b6e26 in KApplication::notify (this=0x7fff873aaed0, receiver=0x2674ff0, event=0x7fff873aabc0) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kdeui/kernel/kapplication.cpp:311
#20 0x00007fcc834fd2fc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#21 0x00007fcc83529da2 in ?? () from /usr/lib/libQtCore.so.4
#22 0x00007fcc83527554 in ?? () from /usr/lib/libQtCore.so.4
#23 0x00007fcc7efa36d3 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#24 0x00007fcc7efa3eb0 in ?? () from /usr/lib/libglib-2.0.so.0
#25 0x00007fcc7efa414d in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#26 0x00007fcc83527f16 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#27 0x00007fcc8277fcae in ?? () from /usr/lib/libQtGui.so.4
#28 0x00007fcc834fc4f2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#29 0x00007fcc834fc6f7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#30 0x00007fcc835008eb in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#31 0x00007fcc6f49b24d in kdemain (argc=6, argv=0x24a98f0) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/main.cpp:91
#32 0x0000000000408792 in launch (argc=6, _name=0x246a7d8 "/usr/bin/dolphin", args=<optimized out>, cwd=0x0, envc=<optimized out>, envs=<optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x246a857 "chakra-pc;1322938458;438058;1805_TIME13193633") at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:734
#33 0x0000000000409696 in handle_launcher_request (sock=<optimized out>, who=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:1226
#34 0x0000000000409d2f in handle_requests (waitForPid=0) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:1419
#35 0x00000000004056df in main (argc=4, argv=0x7fff00000001, envp=0x7fff873ac510) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:1907

Now somewhat works, but with a big nurmber of files crash.
Comment 5 Manuel Tortosa 2011-12-03 19:40:25 UTC
I attach another related crash, a segfault happening when click on a element of the places widget after filtering a folder:

Application: Dolphin (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f90e0d22760 (LWP 2801))]

Thread 2 (Thread 0x7f90c5ff9700 (LWP 2802)):
#0  0x00007f90df5efd44 in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0x00007f90db404376 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#2  0x00007f90db404c32 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f90db40514d in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f90df988f7e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f90df95d4f2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f90df95d6f7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0x00007f90df87502f in QThread::exec() () from /usr/lib/libQtCore.so.4
#8  0x00007f90df94052f in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f90df877a85 in ?? () from /usr/lib/libQtCore.so.4
#10 0x00007f90df5eddf0 in start_thread () from /lib/libpthread.so.0
#11 0x00007f90de3c639d in clone () from /lib/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f90e0d22760 (LWP 2801)):
[KCrash Handler]
#6  0x00007f90df918cd0 in QUrl::QUrl(QUrl const&) () from /usr/lib/libQtCore.so.4
#7  0x00007f90dfdca509 in KUrl::KUrl (this=0x7fff5f7fc240, _u=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kdecore/io/kurl.cpp:490
#8  0x00007f90d8d42f30 in KFileItem::url (this=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kio/kio/kfileitem.cpp:1368
#9  0x00007f90cb190718 in DolphinView::saveState (this=0x110b4f0, stream=...) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/views/dolphinview.cpp:953
#10 0x00007f90cb8f5cc0 in DolphinViewContainer::saveViewState (this=0x10db180) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/dolphinviewcontainer.cpp:605
#11 0x00007f90cb8f5d42 in DolphinViewContainer::slotUrlNavigatorLocationAboutToBeChanged (this=0x10db180, url=<optimized out>) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/dolphinviewcontainer.cpp:490
#12 0x00007f90cb8f710c in DolphinViewContainer::qt_metacall (this=0x10db180, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff5f7fc420) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/dolphinviewcontainer.moc:148
#13 0x00007f90df970f0a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#14 0x00007f90cb68fe55 in KUrlNavigator::urlAboutToBeChanged (this=<optimized out>, _t1=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/build/kfile/kurlnavigator.moc:167
#15 0x00007f90cb6917bc in setLocationUrl (newUrl=<optimized out>, this=0x10dbbc0) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kfile/kurlnavigator.cpp:1036
#16 KUrlNavigator::setLocationUrl (this=0x10dbbc0, newUrl=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kfile/kurlnavigator.cpp:994
#17 0x00007f90cb8f5061 in DolphinViewContainer::setUrl (this=0x10db180, newUrl=...) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/dolphinviewcontainer.cpp:288
#18 0x00007f90cb8e97c1 in changeUrl (url=..., this=0x1078630) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/dolphinmainwindow.cpp:390
#19 DolphinMainWindow::changeUrl (this=0x1078630, url=...) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/dolphinmainwindow.cpp:379
#20 0x00007f90cb8f3cc0 in DolphinMainWindow::qt_metacall (this=0x1078630, _c=QMetaObject::InvokeMetaMethod, _id=64, _a=0x7fff5f7fc7b0) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/dolphinmainwindow.moc:273
#21 0x00007f90df970f0a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#22 0x00007f90cb901557 in PlacesPanel::urlChanged (this=<optimized out>, _t1=<optimized out>, _t2=<optimized out>) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/placespanel.moc:94
#23 0x00007f90cb901572 in PlacesPanel::emitExtendedUrlChangedSignal (this=<optimized out>, url=<optimized out>) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/panels/places/placespanel.cpp:57
#24 0x00007f90cb901605 in PlacesPanel::qt_metacall (this=0x119c9a0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff5f7fc8f0) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/placespanel.moc:82
#25 0x00007f90df970f0a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#26 0x00007f90cb673202 in KFilePlacesView::urlChanged (this=<optimized out>, _t1=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/build/kfile/kfileplacesview.moc:144
#27 0x00007f90cb67614f in KFilePlacesView::Private::setCurrentIndex (this=0x1184b40, index=...) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kfile/kfileplacesview.cpp:906
#28 0x00007f90cb6761e6 in KFilePlacesView::Private::_k_placeClicked (this=0x1184b40, index=...) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kfile/kfileplacesview.cpp:1074
#29 0x00007f90cb676b6e in KFilePlacesView::qt_metacall (this=0x119c9a0, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0x7fff5f7fcaa0) at /chakra/desktop-unstable/kdelibs/src/build/kfile/kfileplacesview.moc:122
#30 0x00007f90cb9015a0 in PlacesPanel::qt_metacall (this=0x119c9a0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff5f7fcaa0) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/placespanel.moc:75
#31 0x00007f90df970f0a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#32 0x00007f90df0264e5 in QAbstractItemView::clicked(QModelIndex const&) () from /usr/lib/libQtGui.so.4
#33 0x00007f90df0268a8 in QAbstractItemView::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#34 0x00007f90df04286e in QListView::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#35 0x00007f90deb8e38a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#36 0x00007f90def13026 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#37 0x00007f90df0238eb in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#38 0x00007f90df95e488 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#39 0x00007f90deb3dd5f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#40 0x00007f90deb43502 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#41 0x00007f90e0717e26 in KApplication::notify (this=0x7fff5f7fe290, receiver=0x119c9f0, event=0x7fff5f7fd740) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kdeui/kernel/kapplication.cpp:311
#42 0x00007f90df95e2fc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#43 0x00007f90deb3ed62 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#44 0x00007f90debbacc1 in ?? () from /usr/lib/libQtGui.so.4
#45 0x00007f90debb9a6a in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#46 0x00007f90debe1032 in ?? () from /usr/lib/libQtGui.so.4
#47 0x00007f90db4046d3 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#48 0x00007f90db404eb0 in ?? () from /usr/lib/libglib-2.0.so.0
#49 0x00007f90db40514d in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#50 0x00007f90df988f16 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#51 0x00007f90debe0cae in ?? () from /usr/lib/libQtGui.so.4
#52 0x00007f90df95d4f2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#53 0x00007f90df95d6f7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#54 0x00007f90df9618eb in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#55 0x00007f90cb8fc24d in kdemain (argc=6, argv=0xef3a80) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/main.cpp:91
#56 0x0000000000408792 in launch (argc=6, _name=0xf2dea8 "/usr/bin/dolphin", args=<optimized out>, cwd=0x0, envc=<optimized out>, envs=<optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0xf2df2e "chakra-pc;1322941002;576153;1844_TIME408987") at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:734
#57 0x0000000000409696 in handle_launcher_request (sock=<optimized out>, who=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:1226
#58 0x0000000000409d2f in handle_requests (waitForPid=0) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:1419
#59 0x00000000004056df in main (argc=4, argv=0x7fff00000001, envp=0x7fff5f7ff8d0) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:1907
Comment 6 Peter Penz 2011-12-04 17:22:28 UTC
Git commit 857f3dda17195f01798fd082802e8c43c4d098a0 by Peter Penz.
Committed on 04/12/2011 at 18:16.
Pushed by ppenz into branch 'master'.

Fix crash #1 when filtering items

When filtering items it was possible that the current index got
an invalid value which resulted in accessing the URL of a
null-KFileItem.

There is still one (general) open issue in KFileItemModelRolesUpdater
(crash #2) where a KFileItem that is already null gets read.
It is not really related to filtering but can be triggered
quite easy when filtering huge directories with enabled previews.

CCBUG: 287642

M  +47   -26   dolphin/src/kitemviews/kfileitemmodel.cpp
M  +3    -3    dolphin/src/kitemviews/kfileitemmodel.h
M  +5    -1    dolphin/src/kitemviews/kitemlistselectionmanager.cpp
M  +9    -2    dolphin/src/tests/kfileitemmodeltest.cpp
M  +50   -5    dolphin/src/tests/kitemlistselectionmanagertest.cpp
M  +1    -0    dolphin/src/views/dolphinview.cpp

http://commits.kde.org/kde-baseapps/857f3dda17195f01798fd082802e8c43c4d098a0
Comment 7 Manuel Tortosa 2011-12-04 17:39:47 UTC
Ok, will backport the commit, test and paste any issue not related to KFileItemModelRolesUpdater as you are already aware, thanks for answering so fast.
Comment 8 Manuel Tortosa 2011-12-04 19:29:08 UTC
Ok, the firs one seems gone, i attach another crash related to KFileItemModelRolesUpdater so in case is useful for you:

Thread 1 (Thread 0x7f0806705760 (LWP 28426)):
[KCrash Handler]
#6  0x00007f08052fbcd0 in QUrl::QUrl(QUrl const&) () from /usr/lib/libQtCore.so.4
#7  0x00007f08057ad509 in KUrl::KUrl (this=0x7fff00f7ec80, _u=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kdecore/io/kurl.cpp:490
#8  0x00007f07fe725f30 in KFileItem::url (this=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kio/kio/kfileitem.cpp:1368
#9  0x00007f07f0b4b33e in qHash (item=...) at /usr/include/KDE/../kfileitem.h:654
#10 QHash<KFileItem, QHashDummyValue>::findNode (this=0x27e3a38, akey=..., ahp=0x0) at /usr/include/QtCore/qhash.h:880
#11 0x00007f07f0b4b9df in QHash<KFileItem, QHashDummyValue>::remove (this=0x27e3a38, akey=<optimized out>) at /usr/include/QtCore/qhash.h:789
#12 0x00007f07f0b4e2b3 in remove (value=..., this=0x27e3a38) at /usr/include/QtCore/qset.h:84
#13 KFileItemModelRolesUpdater::resolvePendingRoles (this=0x27e39f0) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/kitemviews/kfileitemmodelrolesupdater.cpp:431
#14 0x00007f07f0b4eb1c in KFileItemModelRolesUpdater::qt_metacall (this=0x27e39f0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff00f7eed0) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/kfileitemmodelrolesupdater.moc:93
#15 0x00007f0805353f0a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#16 0x00007f08053577d9 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#17 0x00007f0804520d94 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#18 0x00007f0804525c01 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#19 0x00007f08060fae26 in KApplication::notify (this=0x7fff00f7f740, receiver=0x28189a0, event=0x7fff00f7f430) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kdeui/kernel/kapplication.cpp:311
#20 0x00007f08053412fc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#21 0x00007f080536dda2 in ?? () from /usr/lib/libQtCore.so.4
#22 0x00007f080536b554 in ?? () from /usr/lib/libQtCore.so.4
#23 0x00007f0800de76d3 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#24 0x00007f0800de7eb0 in ?? () from /usr/lib/libglib-2.0.so.0
#25 0x00007f0800de814d in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#26 0x00007f080536bf16 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#27 0x00007f08045c3cae in ?? () from /usr/lib/libQtGui.so.4
#28 0x00007f08053404f2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#29 0x00007f08053406f7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#30 0x00007f08053448eb in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#31 0x00007f07f12df24d in kdemain (argc=6, argv=0x25dece0) at /chakra/desktop-unstable/kde-baseapps/src/kde-baseapps-4.7.90/dolphin/src/main.cpp:91
#32 0x0000000000408792 in launch (argc=6, _name=0x261ab08 "/usr/bin/dolphin", args=<optimized out>, cwd=0x0, envc=<optimized out>, envs=<optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x261ab87 "chakra-pc;1323026704;796995;1820_TIME32331019") at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:734
#33 0x0000000000409696 in handle_launcher_request (sock=<optimized out>, who=<optimized out>) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:1226
#34 0x0000000000409d2f in handle_requests (waitForPid=0) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:1419
#35 0x00000000004056df in main (argc=4, argv=0x7fff00000001, envp=0x7fff00f80d80) at /chakra/desktop-unstable/kdelibs/src/kdelibs-4.7.90/kinit/kinit.cpp:1907
Comment 9 Peter Penz 2011-12-04 19:50:22 UTC
Git commit 78de104d823776f8f2364a0d51fc8c084a9573c6 by Peter Penz.
Committed on 04/12/2011 at 20:45.
Pushed by ppenz into branch 'master'.

Fix crash #2 when filtering items

When KFileItems get removed from the model it is temporary possible
that the pending items are still part of the KFileItemModelRolesUpdater
while they have already been removed from the model (this happens
in the context during the signal itemsRemoved() gets emitted).

BUG: 287642

M  +3    -1    dolphin/src/kitemviews/kfileitemmodelrolesupdater.cpp

http://commits.kde.org/kde-baseapps/78de104d823776f8f2364a0d51fc8c084a9573c6
Comment 10 Peter Penz 2011-12-04 19:51:52 UTC
@Manuel: I could not reproduce the crash anymore with the recent fix, but it is of course still possible that I might have missed something. Please just reopen the issue again if you still can reproduce it. Thanks for your support!
Comment 11 Manuel Tortosa 2011-12-04 22:24:08 UTC
Seems fixed. Will recheck the next beta/rc. thanks.
Comment 12 bill p. (aka google01103) 2011-12-11 11:41:40 UTC
appears fixed in 4.8rc2, though the visual affects seem weird when filtering